Subject: Re: [PATCH net-next 1/4] net: phy: add MediaTek PHY driver

From: Andrew Lunn <[email-masked]>
Date: Thu, 29 Apr 2021 23:26:06 +0200

On Thu, Apr 29, 2021 at 02:21:27PM +0800, DENG Qingfang wrote:
> Add support for MediaTek PHYs found in MT7530 and MT7531 switches.
> The initialization procedure is from the vendor driver, but due to lack
> of documentation, the function of some register values remains unknown.
> 
> Signed-off-by: DENG Qingfang <[email-masked]>

Reviewed-by: Andrew Lunn <[email-masked]>

> +
> +	/* Enable HW auto downshift */
> +	phy_modify_paged(phydev, MTK_PHY_PAGE_EXTENDED, 0x14, 0, BIT(4));

As a follow up patch, you could add support for controlling this via a
PHY tunable.

    Andrew